Loading...
Searching...
No Matches
treecontainer.hh File Reference
`#include <type_traits>`
`#include <utility>`
`#include <functional>`
`#include <array>`
`#include <dune/common/indices.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/rangeutilities.hh>`
`#include <dune/common/tuplevector.hh>`
`#include <dune/common/typetree/nodeconcepts.hh>`
`#include <dune/common/typetree/treepath.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::TypeTree

## Typedefs

template<class Value, class Tree>
using | Dune::TypeTree::UniformTreeContainer = std::decay_t<decltype(makeTreeContainer<Value>(std::declval<const Tree&>()))>
| Alias to container type generated by makeTreeContainer for given tree type and uniform value type.
template<template< class Node > class LeafToValue, class Tree>
using | Dune::TypeTree::TreeContainer = std::decay_t<decltype(makeTreeContainer(std::declval<const Tree&>(), std::declval<Impl::LeafToDefaultConstructibleValue<LeafToValue>>()))>
| Alias to container type generated by makeTreeContainer for give tree type and when using LeafToValue to create values.

## Functions

template<class Tree, class LeafToValue>
auto | Dune::TypeTree::makeTreeContainer (const Tree &tree, LeafToValue &&leafToValue)
| Create container having the same structure as the given tree.
template<class Value, class Tree>
auto | Dune::TypeTree::makeTreeContainer (const Tree &tree)
| Create container having the same structure as the given tree.